1

Specification

Controlling range: Double color: 4032 x 128, 2048 x 256 and 1024 x 512.

Scanning mode: 1/16 scanning, 1/8 scanning, 1/4 Scanning, 1/2 scanning and static.

Communication mode: RS232, RS422/RS485 (SCL2008-C), Baud rate: 7 different baud rates: 2400, 4800, 9600, 19200, 38400, 57600, 115200bps.

Memory: 4M savable RAM of FAT16 operation system, 4M ROM.

Working temperature: -10? - +70?

Working voltage: +5V±0.2V; working current: 400mA, peak current: 650mA,


Interfaces and dimension

SCL2008A(SCL3000)

1 | Power source Connector
2 | PWR: PWR(Power) indicator OVR: OVR(Overvoltage) indicator
3 | COM2: RS232 or RS485
4 | RS232/RS485 Jumper PINS for COM2
5 | COM1: RS232
6 | RS485 Terminal matching resistance
7 | RJ45 100M ethernet socket
8 | TEST Jumper PINS
9 | R: COM2 Receiving indicator T: COM2 Sending indicator RUN: Internal Logic indicator SW0: SW0 indicator SW1: SW1 indicator
10 | JS1: Signal Port 1
11 | JS2: Signal Port 2
12 | OE: Output enable polarity Jumper PINS
13 | T: Temperature sensor socket
14 | H: Humidity sensor socket
15 | BRT: Brightness sensor socket
16 | SW0: SW0 Output socket(equal to SCL2008-C/-N's SW)
17 | SW1: SW1 Output socket(equal to SCL2008-C/-N's SW1)

below


3

Controller Power Source (+5V GND)

Normally when there is more workload on the power source, the voltage will go down; while less workload, the working voltage will go up. So in order for a stable working voltage, the power source should have a feedback circuit to adjust the output voltage. Normally a good quality power source just needs a very short time to feedback quickly to a voltage variable, but a poor power source will need more time to do that. In case, while the power source is working for both the LED board and controller, and the LED board suddenly flashes on or off, the output voltage will surge or plunge quickly, especially when the voltage is plunging down and reacts and adjusts for a long time, this will maybe cause the controller lose some of its functions. So the power source has to be of good quality, which has a good quick feedback circuit, or just use one independent power source for the controller.

If the power for the controller is correct, the 'PWR' light will turn on; if the voltage is over 5.5V, the 'PWR' light will turn off, and the 'OVR' light will turn on, which reminds that the power source has to be checked.


4

Serial Port COM1: RS232

The default settings for the controller: address code is '0', COM1, baud rate is 38400- BPS.

COM1 is the major port, which can only work under RS232 mode. While the serial port is receiving/ sending data, the port's indicators will turn on, the 'T' light is on, which means the controller is sending out the data; when 'R' light is on, which means the controller is receiving the data from the computers or other data sources.

COM1 can work at 7 different baud rate: 2400bps, 4800bps, 9600bps, 19200bps, 38400bps, 57600bps, 115200bps. Users can refer to the Chapter 4/ Communication setting to set up the baud rate.

COM1: RS232 serial port with 3 pins,

PIN2: DATA receiving

PIN3: DATA sending

PIN5: GND.


5

Serial Port COM2: RS232/RS422/RS485(SCL2008C)

Beside the COM2 socket, there is a row of 3 PINS, from which RS232 or RS422 can be chosen, if one wire jumper is put on the RS232 side, the PIN2, PIN3 and PIN5 will be valid under RS232 definition as COM1, if the wire jumper is on RS422 side, it will work in RS422 full-duplex mode, the signal of each pin will be as below:

PIN5: GND

PIN6: T-

PIN7: T+

PIN8: R+

PIN9: R-

If connect the PIN6 with PIN9; PIN7 with PIN8, then COM2 will work under the RS485 half-duplex mode,

PIN6, PIN9: T/R -


6

Serial communication cable

1?RS232 connection of COM1 and COM2

While controller is connected to computer in RS232 mode:

PIN2 is connected to computer's PIN3

PIN3 is connected to computer's PIN2

PIN5 is connected to computer's PIN5

If using the Ethernet cable:

PIN2 is connected through the blue line to computer's PIN3

PIN3 is connected through the orange line to computer's PIN2

PIN5 is connected to computer's PIN5 through blue/white and orange/white lines.

Green and green/white twisted lines, brown and brown/white lines are connected to or welded on the BD9 shell.

As the computer's shell and serial port's shell both are connected to the ground. This will ensure the ground line will be first connected before other signal lines are connected, and the signal lines will be first terminated before the ground line does.

2?RS422 connection for COM2

PIN5 (GND) is connected to PC convertor's RS232/RS422's 'GND'

PIN6 (T- ) is connected to PC convertor's RS232/RS422's 'R-'

PIN7 (T+) is connected to PC convertor's RS232/RS422's 'R+'

PIN8 (R+) is connected to PC convertor's RS232/RS422's 'T+'

PIN9 (R- ) is connected to PC convertor's RS232/RS422's 'T-'

Note: T- AND T+ should use one pair of twisted lines, R+ and R- should also use one pair of twisted lines.

If using Ethernet cable for communication, please follow below:

PIN6 (T-) is connected through the blue line to RS232/RS422's 'R-'

PIN7 (T+) is connected through the blue/white line to RS232/RS422's 'R+'

PIN8 (R+) is connected through the orange line to RS232/RS422's 'T+'

PIN9 (R-) is connected through the orange/white line to RS232/RS422's 'T-'

PIN5 (GND) is connected through the green and green/white lines to RS232/RS422's 'GND'

Brown and brown/white lines are connected to the cable's DB shell, or just to the ground.

3?RS485 connection of COM2

If connecting PIN6 with PIN9, PIN7 with PIN8, then COM2 will become RS485 port.

PIN5 (GND) is connected to PC convertor's RS232/RS485's GND

PIN6 (-) is connected to PC convertor's RS232/RS485'S '-'

PIN7 (+) is connected to PC convertor's RS232/RS485's '+'

NOTE: PIN6 (-) and PIN7 (+) should use one pair of twisted cables.

If using Ethernet cable for communication, the below is our suggestion:

PIN6 (-) is connected through blue line to convertor's RS232/RS485's '-'

PIN7 (+) is connected through blue/white line to convertor's RS232/RS485's '+'

PIN5 (GND) is connected through green and green/white line to convertor's RS232/RS485's 'GND'

Brown and brown/white, orange and orange/white twisted cables are connected to the DB shell, or to the ground.

4?RS422/ 485 terminal resistance

At the RS422/ 485's communication bus cable end, it should use a terminal matching resistance. Actually there is a RS422/485 matching terminal resistance on the controller's PCB, but normally it is not connected, while in need, the pins marked with 'JX' just need be put on a wire jumper as in the marked direction.

5?Connection with LYTEC's RS232/RS422 convertor

Converter's RS422 PIN1ß-àSCL2008 controller's COM2 PIN6

Converter's RS422 PIN2ß-àSCL2008 controller's COM2 PIN7

Converter's RS422 PIN3ß-àSCL2008 controller's COM2 PIN8

Converter's RS422 PIN4ß-àSCL2008 controller's COM2 PIN9

Converter's RS422 PIN5ß-àSCL2008 controller's COM2 PIN5

Please refer to "RS422 connection for COM2", to use the Ethernet cable for the connection.


7

10M Ethernet communication terminal and communication cable (SCL2008N)

SCL2008N supports Ethernet for data sending/ receiving.

The receiving/ sending indicator (LINK): when data access to /or come out from the controller, the indicator will turn on.

In the above picture, there show the first PIN in RJ45 and the lines' order of 568A and 568B in EIA/ TIA standard.

If the computer is directly connected to the controller, then one terminal is 568A, another is 568B.

If the computer is connected through router, HUB or exchanger to the controller, then the 2 terminals both should be 568B.


8

Output enable polarity (1 OE 0)

Output enable polarity has a single row of 3 Pins '1 OE 0', if the LED turns on at a high-level output enable signal, then connect with '1' PIN; if LED turns on at a low-level output enable signal, then connect with '0' PIN


9

LED board power source control (SW, SW1)

If the controller is independently provided power, then the controller can provide controlling signals to switch off/on the power source of the LED screen. If there is not any schedule in the controller, the 'SW' light will turn on, in this situation, the controller will play its own test schedule, and if the controller has a schedule during the auto-on period, and the 'SW' light will also turn on, at the same time, the SW terminal gives a controlling signal to the solid relay. The SW terminal's '+' is connected to Solid relay's '+'; the SW terminal's '-' is connected to Solid relay's '-', the connection is as below:


10

Brightness sampling (BRT)

The brightness sampling is used to adjust the LED's brightness.

The Brightness sensor socket is to connect with the bright sensor, which should be put on the outside of the LED board, and in the program, if 'Auto' is chosen, the LED board will automatically adjust brightness according to the environment.


11

Temperature and Humidity sampling and their automatic control (T,H)

Temperature and humidity sampling is used for displaying the temperature and humidity value on the clock displaying interface, and temperature sampling can be also used for controlling the power source of the LED board and the devices connected with SW1( normally for heat release device for outdoor LED board. It is just for protection of the outdoor LED board.

Temperature sensor is DS18B20, humidity sensor is HF3223, (these parts are optional). The cable between sensor and controller should be less than 0.5 meter, while connecting the line, don't mistake the polarities, if they are wrong connected, the sensor will be damaged.

While using the temperature automatic control function, a temperature needs to be set as the T_off, when the environment temperature goes up to this temperature, the LED board will automatically turn off; also a temperature needs to be setup as T-on, when the environment temperature goes down to the T_on temperature, the LED board will automatically turn on. When setting up the T_on>=T_off, temperature automatically controlling will be turned off.

It also can set a temperature as T_on, when the environment temperature goes up to T_on temperature, the heat releasing device will automatically turn on; and also a temperature needs to set as T_off, if the environment temperature goes down to the T_off temperature, then the heat releasing device will automatically turn off. When setting up T_off>=T_on, the function will be turned off.

The temperature automatic control can be setup through [Tool]->[Transfer]


12

Interfaces for Signals (JS1, JS2)


13

TEST

After putting on the wire jumper on the test Pins, and repower on the controller, the controller will be under TEST mode, in this situation, the auto turn-on/ off function is invalid, brightness adjusting function is invalid. The whole LED board will display moving red, green, yellow slashes or a pattern with right angled triangle.

While under the test mode, the controller will use COM1 for communication, the baud rate is 38400 bps.


14

Initial connection with Controller.

The default setting for the controller is: LED code '0', COM1, baud rate is 38400 bps.

When the controller is initially connected, the setting should follow up the below steps:

Step1: Turn off the controller's power, and use RS232 to connect the PC with controller's COM1, run SCL2008Edit program.

Step2: Turn on the controller's power, in the menu, go to [TOOL] -> [OPTION] -> [PC serial port], where to choose PC's serial port, which is to connect with the controller.

Step3: In the menu, go to [TOOL] -> [RunTime INFO]. Or just click the [Runtime INFO] button on the tool bar, initialize the controller's reading process, then PC will try to connect to the controller at different baud rate, when the dialog box displays all the running info, then click [OK], the program will automatically remember the baud rate.

3.2 Read controller's running info:

Turn off controller's power, put on the wire jumper on the test Pins, use RS232 to connect the PC with Controller's COM2, which should be also under RS232 mode, run SCL2008Edit, in the main menu, choose [Tool] -> [Option] -> [Controller Serial port], and input the password "SCL2008", then power on the controller, the dialog box will display the COM's setting parameters, hardware settings and its running information.

The 1st line shows controller's setting information of the COM connected to PC.

The 2nd line shows the controller's address code

The 3rd to 5th lines show the version # of player, PCB board and hardware scanning program

The 6th to 7th lines show the route type, displaying range.

The 8th line shows the reading info from clock IC.

The 9th line show if Temperature sensor is connected or not.

The 10th line show the memory of the controller's T-flash.

The 11th line shows if the graphic memory is ok.

The 12th line shows the FLASH' s total capacity and its free capacity.

The 13th line shows the RAM's total memory and its free capacity.


15

Change serial port, baud rate, address code, and name

In terms that the controller works well, the users can refer to the below steps to change the settings:

Step 1: In the main menu, [Tool] -> [Option] -> [Serial port], input the password "scl2008", click [OK], then the dialog box will be as below:

Step 2: choose the COM port to use,

[Data bit] choose 8

[Stop bit] choose 1

[Check bit] choose none

[Same check] leave blank

[Data transfer] yes.

Step 3: As user's request, choose the new Address code, input a name for easy remember.

Step 4: Click [OK], to save the changes in the controller.

Step 5: when change the controller's serial port, connect the cable to the new serial port; in the main menu, go to [Tool] -> [Run Time Information], or just click the [Run Time Information] button on the tool bar, to initialize the controller's info reading process. Then the program will automatically try to connect with the controller at different baud rates. When the dialog box displays all the running info, click [Ok], then the program will automatically remember the baud rate.


16

Simple serial communication (input displaying data or simple control operation)

In the section2.2, another COM port is not setup, but we can also setup the port with [baud rate], [data bit], [stop bit], [check bit], or [double check], the data go through this port can be directly displayed on the LED screen, or run some other simple operations. (if [double check] is chosen, the controller will only react when the COM receives the same data twice, otherwise the data is deemed invalid, because the simple protocol is not a response protocol; this way can ensure the controller only respond to the correct data. In order to meet [Double check]'s requirement, it is suggested to send the same data to the controller 3 times.)

If the data is to directly display on the LED board, then the data position, fonts' sizes and colors need be designated and setup in the clock dialog interface. This will be introduced in the <<User manual>>.

The format of the simple protocol as below:

Leading code+ ASCII data+0dH+0aH

Brightness adjustment: Leading code is 'B', followed with 2 same digits, "00" means to decrease the brightness, "11" means to increase brightness.

Data displaying: Leading code 'N', data is less than 8 groups of digit strings, each group is divided by ',', except for the "0" - "9" in ASCII, "+', "-", "." and space can be used, for an instance: "N12.35,77.98,233.65"+0dH+0aH

Program choosing: Leading code 'P', followed with 2 decimal digits, which means to play the schedules in a path in SD card. For example: "P23"+0dH+0aH means to play "B:\P23\PLAYLIST.LY" file

SWITCH power: Leading code is 's', followed with 2 same digits, "00" means turn off the power, "11" means to turn on the power.

Clock time check: Leading code 'T', the time format has 14 digits, the 14 digits from the most left are: year, month, date, week date, hour, minute, and second; for example: "2006. September.19, Tuesday, 10:13:28" should be as "T06091902101328" +0dH+0aH

Note: year uses 2 digits, Sunday is "00", for the dates from Monday to Saturday, they are from "01-06"

Pause/Continue: Leading code 'U', followed with 2 same digits, "00" means to Pause, "11" means to continue to play.


17

Setup the firewall

As Windows XP's firewall and some other programs probably prevent some SCL2008 operations in the LAN, so the user has to setup the correct communication parameters for the controller,

For WindowsXP firewall settings: go to [Control Panel], don't choose [don't allow exception] as below:

In the exception, add SCL2008Edit.Exe, and mark in the check of SCL2008Edit.exe.


18

Setup the net parameter

The controller's default IP is: 10.1.1.100.

So when we need use the controller in the LAN, we need change the IP first, make it in the same LAN as PC's IP address, otherwise PC cannot visit controller.

First of all, the user need get PC's net parameters. In the PC's local connection, right click the [property], and find TCP /IP connection, click [Property], in the box, the subnet mask can be found, and remember it.

Then run SCL2008Edit.exe, in the menu, go to [Tool] -> [Parameter], the dialog box will be as below:

And clear the default IP, and click [Seek] for all the LED IPs, and then the dialog box will be as below:

And in the above interface, double click the IP line, the dialog box will be as below:

First, input the subnet mask number of the local connection in the subnet mask box; then setup the LED's IP address according to the Local IP and subnet mask as in the red ellipse.

Subnet mask and IP address both have 4 segments, if the segment in subnet mask is 255, then the segment in the same location of LED's IP address should be the same as that segment of local IP, in the above dialog box, the subnet mask has the first 3 segments are all 255, so the first 3 segments of both LED and local IP are the same, they both are 10.1.1, just the last segment is different, the last segment of local IP is 112, the LED's last one is 101.


19

NTP Protocol, automatic time checking on network

In the above dialog box, below the name "SCL2008 001", there is a NTP server's IP address and the time zone (China is in E8 time zone), after setting up the related parameters, the controller will hourly check the time with the time server for the correct time.

If in the LAN, there is a time server, then just input the IP address.

If the local LAN can visit the internet, and the correct IP and gateway are setup, then here can setup the time server's IP.

While using the time server, it is not necessary to setup a router and exchanger, as NTP protocol is an open standard protocol, normally the routers and exchangers all support this protocol.


20

Across net visiting

SCL2008-N supports across net visiting (PC and controller are in the same LAN, but different segment) please see the below diagram to setup the across net visiting:

As the above diagram, the wideband internet is connected to LAN through a router, it covers 10.1.1.xxx net, as need access to the internet, so the gateway of all the PCs(PC a; PC b) should be set as 10.1.1.1,( the IP address of high level router LAN terminal)

SCL2008-N controller is connected to one of 10.1.1.xxx, so the gateway should be set as 10.1.1.1, and the PC is in the net 192.168.1.xxx of the router at address 10.1.1.2, so SCL2008-N controller's gateway should be also set as 10.1.1.2 (static route)

The WAN terminal in the low level is given 10.1.1.2, which is in the same level as 10.1.1.xxx, as the PC in the 192.168.1.xxx need visit Internet, so the WAN terminal's gateway should be also set as 10.1.1.1.

When the PCs in the net 10.1.1.xxx need visit the Internet, and as the gateways are 10.1.1.1, so the data is transferred to 10.1.1.1 router, then access to the Internet through this router's WAN terminal.

When the PCs in the net 192.168.1.xxx need visit the Internet, the data will be transferred to 192.168.1.1 router(as the gateways are 192.168.1.1), and after this router receives the data, the data will be transferred to the 10.1.1.1 router( as the gateways are 10.1.1.1), at last it can access to the Internet through the high level WAN terminal.

Note: as SCL2008's default settings are to use the four terminals 27694, 27695, 28123, 28124 to receive and send data, if the router at lower level didn't open these 4 terminals, then it need be opened by changing the routers' settings, or it can also use the SCL2008Edit program to choose the open and unused terminals to setup.


21

Hardware and serial port password settings

In SCL2008Edit program, the password for all hardware and serial ports' settings is "SCL2008", please don't tell the end users the password. If the users don't know the scanning features of the LED board, and choose the wrong option, this may cause the LED modules damaged.

In the main menu, go to [Tool] -> [Option], as below dialog box:

In this dialog box, if the color bands displayed as inside the red ellipse, the height and width boxes and the box "When no PLAYLSIT, show" are all active, this will tell us the controller and PC are correctly connected, then we can setup parameter for the hardware.


22

Driving board route type

In the menu, go to [TOOL] -> [Option] -> [HARDWARE], then the hardware can be set there, the dialog box will be as below:

In the above dialog box, we can choose the Driver route type, the route type is described in this format: xx-Pyy [-nn-mm].

'xx' means scanning mode, it can be one of 16(1/16 scanning), 08(1/8 scanning) 04(1/4scanning), 02(1/2 scanning), or 01 (static mode), 'yy' indicates the row number which one signal port provides, normally it can be 02, 04, 08, 16; but very few can be 01. Referring to the connection between LED and IC pins, 'nn' and 'mm' can have multiple choices, 'nn' is for columns, 'mm' is for the rows. (Please refer to the lights panel in the website for more details)


23

Adjustment for correct displaying.

In the above correct route type, sometimes the sequence of the connected PINs is different, this will make the displaying patterns incorrect, so we can exchange some columns and rows to get the correct displaying.

Under the test mode, the controller will display a triangle on the top-right corner, for the correct displaying, the first row should be one dot, the second row should be 2 dots, the 3rd row should be 3 dots.if it is incorrect, it needs to exchange the columns and rows to get the correct triangle.


24

Scanning duty cycle is to adjust proportion of the high-level and low -level of the clock time. This can be very useful when the data signal need be transferred to a remote LED board.


25

Controlling range, driving route type and scanning frequency decreasing

SCL2008 can choose 3 different displaying ranges: 4032 columns x 128 rows; 2048 columns x 256 rows; 1024 columns x 512 rows.

If choosing ranges 4032 columns x128, or 2048 columns x 256 rows, the LED driving board may not be able to control the most left end of the LED board for the poor quality of driving board, so in this situation, we need choose [Decrease scanning frequency], after this operation, the controller will add one more signal from 2048th column or1024th column to drive the LED board.

Route type | 4032 ×128 |  |  |  | 2048 ×256 |  |  |  | 1024×512
 | Regular |  | Decreased clock Frequency |  | Regular |  | Decreased clock frequency |  |
 | Output port | rows | Output port | rows | Output port | rows | Output port | rows | Output port | rows
P16 | J1 | 128 | J1,J2 | 128 | J1 | 256 | J1,J2 | 256 | J1,J2 | 512
P08 | J1 | 128 | J1,J2 | 128 | J1,J2 | 256 | J1,J2 | 128 | J1,J2 | 256
P04 | J1,J2 | 128 | J1,J2 | 64 | J1,J2 | 128 | J1,J2 | 64 | J1,J2 | 128
P02 | J1,J2 | 64 | J1,J2 | 32 | J1,J2 | 64 | J1,J2 | 32 | J1,J2 | 64
P01 | J1,J2 | 32 | J1,J2 | 16 | J1,J2 | 32 | J1,J2 | 16 | J1,J2 | 32

For different displaying ranges, there will be different output ports, the below is the list about the controlling rows and output port.


26

Power source indicator

Normally, when the controller is connected to the power, the power indicator 'PWR' will turn on, and in about 4 seconds, SW light will turn on, which means the controller is in working state.

1. After being connected to the Power, PWR light cannot turn on, but the OVR light turns on, this means the voltage is too high, please check the power's voltage.

2. After being connected to the Power, the SW light doesn't turn on, the current time maybe is not during the auto-on time. So need go to the test mode, re-power on the controller, 4 seconds after PWR light turns on, SW light turns on, the whole LED board will light on, with a triangle in the top-right corner, or with moving slashes.

3. If under test mode, PWR light turns on, but SW light cannot turn on, please contact with us.


27

Communication indicators

In case, the controller has not been communicated through, but the controller's communication indicator turns on, this is a common situation.

If the PC communicates with the controller through the controller's COM1 (or COM2), and when the PC send the data to controller, COM1 (or COM2)'s receiving indicator 'R' will turn on. And if the baud rate is correct; the controller is also set to use COM1 (or COM2), and the address code in the data packet is the same as controller's address code, then the controller will respond to the data after it receives it from the PC, and COM1 (or COM2)'s sending light will turn on.

If PC cannot communicate with the controller, please refer to the indicator's flashing, follow up the below steps to check.

1. 'R' light doesn't flash, in this situation, need check if PC's COM can match the setting in the program; need check if the connection between the communicating cables and Pins; or check the communication IC is in good condition or not.

2. 'R' light can flash, but 'T' light doesn't flash, in this situation, need check the address code (controller's code) settings in the program, or need check if the baud rate is the same as controller's baud rate settings.

3. If SCL2008-N controller is connected to LAN, but the indicator never flashes, this maybe is caused by the incorrect line connection in the cable, or because the IC of the net communication interface has something wrong.


28

Check the controller's Run Information

Refer to the section [read out the controller's parameters], use the Runtime information to diagnose the controller.


29

Update

The PC's SCL2008Edit.exe (Editor) has to be agreed with controller's playing version, then the whole system can work well.

If this dialog box [image] comes out, then need update controller's player.

If this box [image] comes out, then need updateSCL2008Edit.exe.

1, Update the controller's player: run SCL2008Edit.exe, main menu-> [Tool] -> [Run Time information], if the [Update] button is active, then click it to update the program

2, Update the controller's scanning program: run SCl2008Edit.exe, in the main menu, [Tool]->[Option], if the controlling range is optional, then choose another controlling range, after the setting, go back to the previous range has been changed just now.